com.sun.mail.iap

## Class ResponseInputStream

- java.lang.Object
- - com.sun.mail.iap.ResponseInputStream

-     public class ResponseInputStream
      extends Object

  Inputstream that is used to read a Response.
  Author:
    Arun Krishnan, Bill Shannon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseInputStream(InputStream in)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` How much buffered data do we have?
    `ByteArray` | `readResponse()` Read a Response from the InputStream.
    `ByteArray` | `readResponse(ByteArray ba)` Read a Response from the InputStream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseInputStream

          public ResponseInputStream(InputStream in)

      Constructor.
      Parameters:
        `in` - the InputStream to wrap

  - ### Method Detail

    - #### readResponse

          public ByteArray readResponse()
                                 throws IOException

      Read a Response from the InputStream.
      Returns:
        ByteArray that contains the Response
      Throws:
        `IOException` - for I/O errors

    - #### readResponse

          public ByteArray readResponse(ByteArray ba)
                                 throws IOException

      Read a Response from the InputStream.
      Parameters:
        `ba` - the ByteArray in which to store the response, or null
      Returns:
        ByteArray that contains the Response
      Throws:
        `IOException` - for I/O errors

    - #### available

          public int available()
                        throws IOException

      How much buffered data do we have?
      Returns:
        number of bytes available
      Throws:
        `IOException` - if the stream has been closed
      Since:
        JavaMail 1.5.4

Copyright © 2016 Oracle. All rights reserved.